/* eslint-disable @typescript-eslint/explicit-module-boundary-types */
const pool = require("./connect");
import {QueryError, OkPacket} from 'mysql2';

interface definitionInterface{
    (message:string):void;
}
export default function Insert(sql: string, argument: string[], callback: definitionInterface) {
    console.log(argument);
    callback(argument);
    pool.execute(sql, argument, (err: QueryError, result: OkPacket) => {
        callback(result);
        pool.releaseConnection(pool);
    });
}